Bug 1714434 (CVE-2019-10147)

Summary: CVE-2019-10147 rkt: processes run with `rkt enter` are not limited by cgroups during stage 2
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: amurdaca, fedora.dm0, lmohanty, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found where rkt does not isolate processes in containers that are run with `rkt enter`. Processes run with `rkt enter` are not limited by cgroups during stage 2 (the actual environment in which the applications run). Compromised containers could exploit this flaw to access host resources.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:56:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1715685    
Bug Blocks: 1711908    

Description Sam Fowler 2019-05-28 06:33:13 UTC
Processes spawned by the ‘rkt enter’ command run with are not limited by cgroups during stage 2 ((the actual environment in which the applications run). Such processes could consume host resources to cause a denial of service.


Reference:

https://coreos.com/rkt/docs/latest/devel/architecture.html#stage-2

Comment 1 Sam Fowler 2019-05-28 06:37:21 UTC
Acknowledgments:

Name: Yuval Avrahami (Twistlock)

Comment 2 Sam Fowler 2019-05-31 01:06:33 UTC
Created rkt tracking bugs for this issue:

Affects: fedora-all [bug 1715685]

Comment 3 Sam Fowler 2019-05-31 01:07:32 UTC
External Reference:

https://www.twistlock.com/labs-blog/breaking-out-of-coresos-rkt-3-new-cves/

Comment 4 Product Security DevOps Team 2019-06-10 10:56:13 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.